Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSStatisticsData Class Reference

Represents VuStats statistics data gathered from the server. More...

`#import <CSStatisticsData.h>`

Inherits NSObject.

## Properties
NSInteger | buttonNumber
| Represents the VuStats feature button number on the application. More...
NSInteger | formatNumber
| Indicates the display format number associated with the VuStats button. More...
BOOL | thresholdReached
| Indicates whether any view statistics threshold has been reached. More...
BOOL | statusMonitoringActive
| Indicates if the server is set up to provide periodical updates automatically for this entity. More...
NSString * | displayText
| Represents the statistics data to display on the application. More...
CSStatisticsDataResourceType | resourceType
| Represents the resource type that is associated with the view statistics button. More...
NSString * | resourceId
| Represents the resource id associated with the button. More...

## Detailed Description

Represents VuStats statistics data gathered from the server.

## Property Documentation

- (NSInteger) buttonNumber
| read nonatomic assign

Represents the VuStats feature button number on the application.

- (NSString*) displayText
| read nonatomic assign

Represents the statistics data to display on the application.

- (NSInteger) formatNumber
| read nonatomic assign

Indicates the display format number associated with the VuStats button.

An administrator can create up to 50 different display formats on CM for VuStats.

- (NSString*) resourceId
| read nonatomic assign

Represents the resource id associated with the button.

It can be a skill (1-8000), a trunk (1 - 2000), a VDN or an agent id (extension).

- (CSStatisticsDataResourceType) resourceType
| read nonatomic assign

Represents the resource type that is associated with the view statistics button.

- (BOOL) statusMonitoringActive
| read nonatomic assign

Indicates if the server is set up to provide periodical updates automatically for this entity.

The corresponding button should be displayed in Active state.

- (BOOL) thresholdReached
| read nonatomic assign

Indicates whether any view statistics threshold has been reached.

The documentation for this class was generated from the following file:

- CSStatisticsData.h